Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513717 - [abrt] meshlab: MeshFilterInterface::ID(): meshlab killed by SIGABRT
Summary: [abrt] meshlab: MeshFilterInterface::ID(): meshlab killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: meshlab
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fa70a1d672f1dd6e6513126cbfa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 20:30 UTC by Martin Ueding
Modified: 2018-05-29 11:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:37:49 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: cgroup (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: core_backtrace (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: cpuinfo (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: dso_list (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: environ (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: limits (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: maps (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: open_fds (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: proc_pid_status (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details
File: var_log_messages (deleted)
2017-11-15 20:30 UTC, Martin Ueding
no flags Details

Description Martin Ueding 2017-11-15 20:30:02 UTC
Description of problem:
I have tried to add a texture to some surface in an STL file that I have opened. It has failed with assert(0) in some virtual function call. Therefore I would guess that some virtual function has not been implemented.

Version-Release number of selected component:
meshlab-2016.12-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        meshlab projection.stl
crash_function: MeshFilterInterface::ID
executable:     /usr/bin/meshlab
journald_cursor: s=196075c768e144d3bcae80c14952eb0a;i=1c9855;b=049def4aee01471e9dfc4626d0a23c12;m=5bfe4c948;t=55e0b2db32706;x=c90dca826adb5c7f
kernel:         4.13.11-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Martin Ueding 2017-11-15 20:30:12 UTC
Created attachment 1352958 [details]
File: backtrace

Comment 2 Martin Ueding 2017-11-15 20:30:13 UTC
Created attachment 1352959 [details]
File: cgroup

Comment 3 Martin Ueding 2017-11-15 20:30:15 UTC
Created attachment 1352960 [details]
File: core_backtrace

Comment 4 Martin Ueding 2017-11-15 20:30:17 UTC
Created attachment 1352961 [details]
File: cpuinfo

Comment 5 Martin Ueding 2017-11-15 20:30:19 UTC
Created attachment 1352962 [details]
File: dso_list

Comment 6 Martin Ueding 2017-11-15 20:30:21 UTC
Created attachment 1352963 [details]
File: environ

Comment 7 Martin Ueding 2017-11-15 20:30:22 UTC
Created attachment 1352964 [details]
File: limits

Comment 8 Martin Ueding 2017-11-15 20:30:28 UTC
Created attachment 1352965 [details]
File: maps

Comment 9 Martin Ueding 2017-11-15 20:30:29 UTC
Created attachment 1352966 [details]
File: open_fds

Comment 10 Martin Ueding 2017-11-15 20:30:31 UTC
Created attachment 1352967 [details]
File: proc_pid_status

Comment 11 Martin Ueding 2017-11-15 20:30:33 UTC
Created attachment 1352968 [details]
File: var_log_messages

Comment 12 Miro Hrončok 2017-11-16 09:35:40 UTC
Thanks for the report. Could you please bring this to upstream MeshLab developers?

https://github.com/cnr-isti-vclab/meshlab

Comment 13 Martin Ueding 2017-11-18 12:02:03 UTC
I am not sure whether this has been reported already, so I opened up a new upstream ticket: https://github.com/cnr-isti-vclab/meshlab/issues/244

Comment 14 Miro Hrončok 2017-11-21 10:40:49 UTC
Thanks. I've subscribed to that issue and will watch it closely (if there is an upstream fix, I'll do my best to backport it).

Comment 15 Fedora End Of Life 2018-05-03 08:10:53 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2018-05-29 11:37:49 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.